(define-module (glicid packages maths)
  #:use-module (guix packages)
  #:use-module (guix utils)
  #:use-module (gnu packages maths)
  #:use-module (gnu packages commencement)
  #:use-module (gnu packages mpi)
  #:use-module (guix download)
  #:use-module (guix git-download)
)

;;;;;;;;

;(define-public scalapack-scivision-newer

(define-public scalapack-newer

  (package
    (inherit scalapack) 
    (name "scalapack-newer")
;    (version "2.1.0.29-upstream") ;; need this for compilation > gcc 9
     (version "2.1.0-new-upstream")
    (source (origin
             (method git-fetch)
              (uri (git-reference
;              (url "https://github.com/scivision/scalapack.git")
;               (url "https://github.com/OpenCMISS-Dependencies/newscalapack.git")
                (url "https://oauth2:9i-PgbC2w_JEx6DUUqzf@https://gitlab.univ-nantes.fr/CCIPL/legacy_code_mirror/scalapack.git")

;              (commit "dac3cb9eaad9593a2cc7478f5f4ed63437b0993d")
;	       (commit "f27386ce4d1b4dc99f7bc5917031ef9dc2c00a72")
	       (commit "1ecddf24e3e6c95f1d5dec6f84f21fd91e057727")
             ))
             (sha256
              (base32
               "02q791g1sfic4k3ih31z07pnzhld09wyq524bicx6jx1aw8s7k4b"

;FFLAGS
               
))))
    
    )
  )

(define-public scalapack-latest scalapack-newer)

;; scalapack-scivision-newer
;scalapack-newer
;;; glicid/maths.scm ends here
